# Bulk Remove Companies

`DELETE /api/v1/company/{GROUP_NAME} HTTP/1.1`

Replace GROUP\_NAME with the Group Name under which the companies have to be removed

**Request body**

```
{
            "companyIds": ["company_id"]
}
```

| Param       | Mandatory | Description                                                     |
| ----------- | --------- | --------------------------------------------------------------- |
| company\_id | Y         | Array of Intellizence Company Ids that you would like to remove |

**Response body**

```
{
            "nonExistingCompanyIds": ["company_id"],
            "nonTrackedCompanyIds": ["company_id"],
            "removedCompanyIds": ["company_id"]
}                                       
```

| Param                 | Description                                                              |
| --------------------- | ------------------------------------------------------------------------ |
| nonExistingCompanyIds | Array of Company Ids which are not existing in the Intellizence database |
| nonTrackedCompanyIds  | Array of Company Ids which are not been tracked                          |
| removedCompanyIds     | Array of Company Ids which are removed                                   |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intellizence.com/company-news-signal-api/bulk-remove-companies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
